import { request } from '/src/utils/service';
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud';
import XEUtils from 'xe-utils';

export const apiPrefix = '/api/ad_manage/summary/report/';
export function GetList(query: UserPageQuery) {
  return request({
    url: apiPrefix,
    method: 'get',
    params: query,
  })
}
export function GetObj(id: any) {
  return request({
    url: apiPrefix + id + "/",
    method: 'get',
  });
}

export function AddObj(obj: AddReq) {
  return request({
    url: apiPrefix,
    method: 'post',
    data: obj,
  });
}

export function UpdateObj(obj: EditReq) {
  return request({
    url: apiPrefix + obj.id + '/',
    method: 'put',
    data: obj,
  });
}

export function DelObj(id: DelReq) {
  return request({
    url: apiPrefix + id + '/',
    method: 'delete',
    data: { id },
  });
}

export function getCardData(query: UserPageQuery) {
  return request({
    url: apiPrefix + "total/",
    method: 'GET',
    params: query
  })
}

export function getLineData(query: UserPageQuery) {
  return request({
    url: apiPrefix + "daily/",
    method: 'GET',
    params: query
  })
}

export function getCardTotalData(query) {
  return request({
    url: apiPrefix + "total",
    method: 'GET',
    params: query
  })
}

export function getChartTotalData(query) {
  return request({
    url: apiPrefix + "trend/daily",
    method: 'GET',
    params: query
  })
}
