import * as api from './api'
import { dict, UserPageQuery, compute, CreateCrudOptionsProps, CreateCrudOptionsRet } from '@fast-crud/fast-crud'
import { inject } from 'vue'
import { parseQueryParams } from '/@/views/adManage/utils/tools.js'
import XEUtils from 'xe-utils'

export const createCrudOptions = function ({ crudExpose, context }: CreateCrudOptionsProps): CreateCrudOptionsRet {
  const pageRequest = async (query: UserPageQuery) => {
    const params = parseQueryParams(context.value)
    XEUtils.assign(query, params)
    return await api.GetList(query)
  }

  //权限判定
  const hasPermissions = inject('$hasPermissions')

  return {
    crudOptions: {
      table: {
        height: 750,
        headerCellStyle: {
          backgroundColor: '#f6f7fa', // 直接设置背景颜色
          height: '20px',
          // border: '0.5px solid #ddd',
        },
        cellStyle: {
          border: 'none',
          borderBottom: '0.5px solid #ddd',
        },
      },
      container: {
        fixedHeight: false,
      },
      actionbar: {
        show: true,
        color: "#626aef",
        buttons: {
          add: {
            show: false
          },
          create: {
            text: '新建广告活动',
            // type: 'primary',
            color: "#626aef",
            plain: true,
            show: true,
            click() {

            }
          },
        }
      },
      search: {
        show: false,
        buttons: {
					search: {
						show: false
					},
					reset: {
						show: false
					}
				}
      },
      toolbar: {
        buttons: {
          search: {
            show: true,
          },
          compact: {
            show: false,
          },
        },
      },
      request: {
        pageRequest,
      },
      rowHandle: {
        show: true,
      },
      columns: {
        keywordText: {
          title: '否定词',
        },
      },
    },
  }
}
