import { request } from '/@/utils/service'
import { UserPageQuery, AddReq, DelReq, EditReq, InfoReq } from '@fast-crud/fast-crud'

export const apiPrefix = '/api/ad_manage/spcampaigns/'

export function GetList(query: UserPageQuery) {
  return request({
    url: apiPrefix + 'list',
    method: 'post',
    data: query,
  })
}
export function GetObj(id: any) {
  return request({
    url: apiPrefix + id + '/',
    method: 'post',
  })
}
export function AddObj(obj: AddReq) {
  return request({
    url: apiPrefix,
    method: 'post',
    data: obj,
  })
}
export function UpdateObj(obj: EditReq) {
  return request({
    url: apiPrefix + obj.id + '/',
    method: 'put',
    data: obj,
  })
}
export function DelObj(id: DelReq) {
  return request({
    url: apiPrefix + id + '/',
    method: 'delete',
    data: { id },
  })
}
export function getCardData(query: UserPageQuery) {
  return request({
    url: apiPrefix + 'total',
    method: 'post',
    data: query,
  })
}
export function getLineData(query: UserPageQuery) {
  query['dateRangeType'] = 'D'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}
export function getLineWeekData(query: UserPageQuery) {
  query['dateRangeType'] = 'W'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}
export function getLineMonthData(query: UserPageQuery) {
  query['dateRangeType'] = 'M'
  return request({
    url: apiPrefix + 'daily',
    method: 'post',
    data: query,
  })
}
export function getAdStructureData(query: UserPageQuery) {
  return request({
    url: apiPrefix + 'structure',
    method: 'post',
    data: query,
  })
}
