import * as api from './api'
import { dict, UserPageQuery, compute, CreateCrudOptionsProps, CreateCrudOptionsRet } from '@fast-crud/fast-crud'
import { inject } from 'vue'
import { parseQueryParams } from '/@/views/adManage/utils/tools.js'
import XEUtils from 'xe-utils'

export const createCrudOptions = function ({ crudExpose, context }: CreateCrudOptionsProps): CreateCrudOptionsRet {
  const pageRequest = async (query: UserPageQuery) => {
    const params = parseQueryParams(context.value)
    XEUtils.assign(query, params)
    return await api.GetList(query)
  }

  //权限判定
  const hasPermissions = inject('$hasPermissions')

  return {
    crudOptions: {
      table: {},
      container: {
        fixedHeight: false,
      },
      actionbar: {
        show: false,
      },
      search: {
        show: false,
        buttons: {
					search: {
						show: false
					},
					reset: {
						show: false
					}
				}
      },
      // toolbar: {
      //   buttons: {
      //     search: {
      //       show: true,
      //     },
      //     compact: {
      //       show: false,
      //     },
      //   },
      // },
      request: {
        pageRequest,
      },
      rowHandle: {
        show: true,
      },
      columns: {
        keywordText: {
          title: '否定词',
        },
        matchType: {
          title: '匹配类型',
        },
      },
    },
  }
}
