const universal = [
  {
    field: 'TotalSales',
    title: '总销售额',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalSales_default', footer: 'TotalSales_footer' },
  },
  {
    field: 'TotalOrderItems',
    title: '总订单数',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalOrderItems_default', footer: 'TotalOrderItems_footer' },
  },
  {
    field: 'TotalUnitOrdered',
    title: '总销量',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalUnitOrdered_default', footer: 'TotalUnitOrdered_footer' },
  },
  { field: 'SAP', title: '单均价', align: 'right', width: 130, sortable: true, slots: { default: 'SAP_default', footer: 'SAP_footer' } },
  {
    field: 'TotalAdSales',
    title: '广告销售额',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalAdSales_default', footer: 'TotalAdSales_footer' },
  },
  {
    field: 'TotalAdSalesSameSKU',
    title: '本商品广告销售额',
    align: 'right',
    width: 180,
    sortable: true,
    slots: { default: 'TotalAdSalesSameSKU_default', footer: 'TotalAdSalesSameSKU_footer' },
  },
  {
    field: 'TotalAdPurchases',
    title: '广告订单数',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalAdPurchases_default', footer: 'TotalAdPurchases_footer' },
  },
  {
    field: 'TotalAdPurchasesSameSKU',
    title: '本商品广告订单数',
    align: 'right',
    width: 180,
    sortable: true,
    slots: { default: 'TotalAdPurchasesSameSKU_default', footer: 'TotalAdPurchasesSameSKU_footer' },
  },
  {
    field: 'TotalAdUnitOrdered',
    title: '广告销量',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'TotalAdUnitOrdered_default', footer: 'TotalAdUnitOrdered_footer' },
  },
  {
    field: 'TotalAdUnitOrderedSameSKU',
    title: '本商品广告销量',
    align: 'right',
    width: 180,
    sortable: true,
    slots: { default: 'TotalAdUnitOrderedSameSKU_default', footer: 'TotalAdUnitOrderedSameSKU_footer' },
  },
  {
    field: 'Spend',
    title: '花费',
    align: 'right',
    width: 130,
    sortable: true,
    showOverflow: true,
    slots: { default: 'Spend_default', footer: 'Spend_footer' },
  },
  { field: 'ACOS', title: 'ACOS', align: 'right', width: 130, sortable: true, slots: { default: 'ACOS_default', footer: 'ACOS_footer' } },
  { field: 'ROAS', title: 'ROAS', align: 'right', width: 130, sortable: true, slots: { default: 'ROAS_default', footer: 'ROAS_footer' } },
  { field: 'TACOS', title: 'TACOS', align: 'right', width: 130, sortable: true, slots: { default: 'TACOS_default', footer: 'TACOS_footer' } },
  { field: 'CR', title: '转化率', align: 'right', width: 130, sortable: true, slots: { default: 'CR_default', footer: 'CR_footer' } },
  { field: 'CTR', title: '点击率', align: 'right', width: 130, sortable: true, slots: { default: 'CTR_default', footer: 'CTR_footer' } },
  { field: 'CPC', title: '点击成本', align: 'right', width: 130, sortable: true, slots: { default: 'CPC_default', footer: 'CPC_footer' } },
  { field: 'CPO', title: '总订单成本', align: 'right', width: 130, sortable: true, slots: { default: 'CPO_default', footer: 'CPO_footer' } },
  { field: 'CPA', title: '广告订单成本', align: 'right', width: 180, sortable: true, slots: { default: 'CPA_default', footer: 'CPA_footer' } },
  {
    field: 'Impression',
    title: '曝光量',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'Impression_default', footer: 'Impression_footer' },
  },
  { field: 'Click', title: '点击量', align: 'right', width: 130, sortable: true, slots: { default: 'Click_default', footer: 'Click_footer' } },
  {
    field: 'Sessions',
    title: '会话次数',
    align: 'right',
    width: 150,
    sortable: true,
    slots: { default: 'Sessions_default', footer: 'Sessions_footer' },
  },
  {
    field: 'ProductCr',
    title: '商品会话百分比',
    align: 'right',
    width: 150,
    sortable: true,
    slots: { default: 'ProductCr_default', footer: 'ProductCr_footer' },
  },
  {
    field: 'PageViews',
    title: '页面浏览量',
    align: 'right',
    width: 130,
    sortable: true,
    slots: { default: 'PageViews_default', footer: 'PageViews_footer' },
  },
  {
    field: 'BuyBoxPercentage',
    title: '推荐报价（购买按钮）百分比',
    align: 'right',
    width: 180,
    sortable: true,
    showHeaderOverflow: true,
    slots: { default: 'BuyBoxPercentage_default', footer: 'BuyBoxPercentage_footer' },
  },
  { field: 'FBAQuantity', title: 'FBA库存', align: 'right', width: 130, sortable: true, slots: { footer: 'FBAQuantity_footer' } },
  {
    field: 'FBMQuantity',
    title: 'FBM库存',
    align: 'right',
    width: 130,
    sortable: true,
    showHeaderOverflow: true,
    slots: { footer: 'FBMQuantity_footer' },
  },
]

export const productLineColumns = [
  {
    field: 'productlineName',
    title: '产品线',
    align: 'left',
    fixed: 'left',
    width: 180,
    sortable: true,
    slots: { default: 'productlineName_default', footer: 'productlineName_footer' },
  },
  ...universal,
]

export const parentAsinColumns = [
  {
    field: 'parentAsin',
    title: '父ASIN',
    align: 'left',
    fixed: 'left',
    width: 180,
    sortable: true,
    slots: { default: 'parentAsin_default', footer: 'parentAsin_footer' },
  },
  { field: 'bestSku', title: '最佳SKU', align: 'left', width: 300, sortable: true, slots: { default: 'bestSku_default', footer: 'bestSku_footer' } },
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default', footer: 'TACOS_footer' } },
  ...universal,
]

export const asinColumns = [
  {
    field: 'Asin',
    title: 'ASIN',
    align: 'left',
    fixed: 'left',
    width: 300,
    sortable: true,
    slots: { default: 'Asin_default', footer: 'Asin_footer' },
  },
  {
    field: 'productlineName',
    title: '产品线',
    align: 'left',
    fixed: 'left',
    width: 180,
    sortable: true,
    slots: { default: 'productlineName_default', footer: 'productlineName_footer' },
  },
  {
    field: 'rank',
    title: '排名',
    align: 'left',
    fixed: 'left',
    width: 120,
    sortable: true,
    slots: { default: 'rank_default', footer: 'rank_footer' },
  },
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default', footer: 'TACOS_footer' } },
  ...universal,
]

export const skuColumns = [
  { field: 'sku', title: 'SKU', align: 'left', fixed: 'left', width: 300, slots: { default: 'sku_default', footer: 'sku_footer' } },
  {
    field: 'productlineName',
    title: '产品线',
    align: 'left',
    width: 180,
    slots: { default: 'productlineName_default', footer: 'productlineName_footer' },
  },
  { field: 'status', title: '商品状态', align: 'center', width: 80, slots: { default: 'status_default', footer: 'status_footer' } },
  { field: 'rank', title: '排名', align: 'left', width: 130, slots: { default: 'rank_default', footer: 'rank_footer' } },
  { field: 'parentAsin', title: '父ASIN', align: 'left', width: 130, slots: { default: 'parentAsin_default', footer: 'parentAsin_footer' } },
  {
    field: 'launchDatetime',
    title: '上架时间',
    align: 'center',
    width: 120,
    sortable: true,
    slots: { default: 'launchDatetime_default', footer: 'launchDatetime_footer' },
  },
  ...universal,
  // { field: 'ABP', title: '异常推广', align: 'right', width: 130, slots: { default: 'ABP_default', footer: 'ABP_footer' } },
  // { field: 'TACOS', title: '预警TACOS', align: 'right', width: 130, slots: { default: 'TACOS_default', footer: 'TACOS_footer' } },
]
